***********************************************
* Music Setup...
*
* Offsets - 28 (initialise)
*         - 30 (play, no register save)
*         - 34 (play, save registers)
***********************************************

CZ_MUS	clr.l	-(a7)		Supexec
	move.w	#$20,-(a7)
	trap	#1
	addq.l	#6,a7
	PEA	TEXT
	MOVE.W	#$9,-(SP)
	TRAP	#1
	lea.l	STACKSAVE(pc),a0
	move.l	d0,(a0)
	
	lea.l	VBLSAVE(pc),a0	Save old vbl
	move.l	$70,(a0)
	
	moveq	#1,d0		Tune number
	bsr	C_Z_I+28		Setup driver
		
	move.w	#$2700,sr
	
	lea.l	NEWVBL(pc),a0
	move.l	a0,$70
	
	bsr	FLUSH
	
	move.w	#$2300,sr
	
	move.w	#7,-(a7)		Wait key
	trap	#1
	addq.l	#2,a7
	
	move.w	#$2700,sr
	
	moveq	#0,d0		No tunes
	bsr	C_Z_I+28		Call off
	
	bsr	FLUSH
	
	lea.l	VBLSAVE(pc),a0
	move.l	(a0),$70
	
	move.w	#$777,$ff8240
	
	move.w	#$2300,sr
	
	lea.l	STACKSAVE(pc),a0	User mode
	move.l	(a0),-(a7)
	move.w	#$20,-(a7)
	trap	#1
	addq.l	#6,a7
	
	clr.w	-(a7)		Exit
	trap	#1
*********
FLUSH
	btst.b	#0,$fffffc00.w	Flush keybuffer
	beq.s	FLUSH_DONE
	move.b	$fffffc02.w,d0
	bra.s	FLUSH
FLUSH_DONE
	rts
	
NEWVBL
	movem.l	d0-d7/a0-a6,-(a7)	New vbl calling my routine
	bsr	C_Z_I+30		+8 gives registers saved
	movem.l	(a7)+,d0-d7/a0-a6
	rte

STACKSAVE
	ds.l	1
VBLSAVE
	ds.l	1
**************
* The driver
**************
TEXT	DC.B	"COUNT ZERO muzax",10,13,0
	EVEN
C_Z_I
	incbin	"a:\CZ\COUNT1.CZI"	*COUNT1,2,3,4